API DocumentationManufacturer part revision controller
Detect parts in an image and find similar part revisions per detection
POST
Detect parts in the image and, for each detected part, returns the top-N visually similar part revisions. Bounding boxes are in original-image pixel coordinates ([x, y, width, height]) so the consumer can overlay them on the uploaded image.
Phasio API Bearer Tokenheader
AuthorizationBearer <token>count?integerMaximum number of similar part revisions per detection (1-100)
Format
int64Range
1 <= value <= 100body*stringapplication/octet-streamFormat
bytePer-detection bounding boxes with their top-N matching part revisions
application/json- response
detections*array<>curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/part-revision/detect-and-embed?count=10' \ -H 'Content-Type: application/octet-stream' \ -d 'string'{ "detections": [ { "bbox": [ 0 ], "matches": { "property1": 0.1, "property2": 0.1 } } ]}